Create Bulk User
curl --request POST \
--url https://api.royalti.io/user/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"users": [
{
"firstName": "<string>",
"lastName": "<string>",
"nickName": "<string>",
"userType": "<string>",
"email": "jsmith@example.com",
"ipi": "<string>",
"role": "<string>",
"phone": "<string>",
"country": "<string>"
}
],
"sendEmail": true,
"redirect_url": "<string>",
"message": "<string>"
}
'import requests
url = "https://api.royalti.io/user/bulk"
payload = {
"users": [
{
"firstName": "<string>",
"lastName": "<string>",
"nickName": "<string>",
"userType": "<string>",
"email": "jsmith@example.com",
"ipi": "<string>",
"role": "<string>",
"phone": "<string>",
"country": "<string>"
}
],
"sendEmail": True,
"redirect_url": "<string>",
"message": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
users: [
{
firstName: '<string>',
lastName: '<string>',
nickName: '<string>',
userType: '<string>',
email: 'jsmith@example.com',
ipi: '<string>',
role: '<string>',
phone: '<string>',
country: '<string>'
}
],
sendEmail: true,
redirect_url: '<string>',
message: '<string>'
})
};
fetch('https://api.royalti.io/user/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Done.",
"createdUsers": [
"John Doe",
"Jericho Doe"
],
"processedCount": 3,
"errors": [
"User Jane Doe already associated with workspace!",
"Invalid email format for Jacob Doe",
"Invalid email format for Jake Doe"
]
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}User
Create Bulk User
/user/bulk
POST
/
user
/
bulk
Create Bulk User
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
/user/bulk Description: The/user/bulk endpoint allows the creation of multiple users simultaneously by providing an array of user objects, each containing user details.
Authorization:
- Required role:
adminor higher
POST
Request Payload:
| Parameter | Type | Description |
|---|---|---|
| users | array | An array of user objects with their details. |
| sendEmail (Optional) | boolean | This sends an invite email to the users, by default it is true. |
| redirect_url (Optional) | string | The URL to redirect after creation. |
| message (Optional) | string | For passing the invite email custom message. |
See sample response for request payload in the body below
Code Examples
const response = await fetch('https://api.royalti.io/user/bulk', {
method: 'POST',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
"users": [
{
"firstName": "sample-firstName",
"lastName": "sample-lastName",
"nickName": "sample-nickName",
"userType": "sample-userType",
"email": "sample-email",
"ipi": "sample-ipi",
"role": "sample-role",
"phone": "sample-phone",
"country": "sample-country"
}
],
"sendEmail": true,
"redirect_url": "sample-redirect_url",
"message": "sample-message"
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
'https://api.royalti.io/user/bulk',
headers={
'Authorization': f'Bearer {token}'
},
json={"users":[{"firstName":"sample-firstName","lastName":"sample-lastName","nickName":"sample-nickName","userType":"sample-userType","email":"sample-email","ipi":"sample-ipi","role":"sample-role","phone":"sample-phone","country":"sample-country"}],"sendEmail":true,"redirect_url":"sample-redirect_url","message":"sample-message"}
)
data = response.json()
print(data)
curl -X POST https://api.royalti.io/user/bulk \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"users":[{"firstName":"sample-firstName","lastName":"sample-lastName","nickName":"sample-nickName","userType":"sample-userType","email":"sample-email","ipi":"sample-ipi","role":"sample-role","phone":"sample-phone","country":"sample-country"}],"sendEmail":true,"redirect_url":"sample-redirect_url","message":"sample-message"}'
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Body
application/json
⌘I